org.eclipse.actf.visualization.ui.report.table

## Class ResultTableSorterBase.StringComparator

- java.lang.Object
- - org.eclipse.actf.util.comparator.ChainComparator
  - - org.eclipse.actf.visualization.ui.report.table.ResultTableSorterBase.StringComparator

All Implemented Interfaces:
  Comparator<Object>

Direct Known Subclasses:
  ResultTableSorterBase.DescriptionComparator, ResultTableSorterBase.ErrorIDComparator

Enclosing class:
  ResultTableSorterBase

    public class ResultTableSorterBase.StringComparator
    extends ChainComparator

Sort items as String order

### Constructor Summary

Constructors
Constructor and Description
`ResultTableSorterBase.StringComparator()`

### Method Summary

### Methods inherited from class org.eclipse.actf.util.comparator.ChainComparator

`compare, intResolve, setNext`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals`

### Constructor Detail

#### ResultTableSorterBase.StringComparator

    public ResultTableSorterBase.StringComparator()